Beveiligingslek bellen via WhatsApp

Deze maand is er een beveiligingslek ontdekt in WhatsApp, waardoor aanvallers via uw smartphone mee kunnen kijken door u te bellen via WhatsApp. Zelfs als u niet opneemt zijn ze in staat om spyware te installeren op zowel Android-telefoons als iPhones.

Hoe kan dat dan?
Aanvallers maken gebruik van zogeheten ‘buffer-overflow’. Dat betekent dat zij meer data versturen naar uw smartphone dan dat de buffer van het systeem aankan. De overvloedige data wordt daarop gestuurd naar alternatieve gebieden in het systeemgeheugen. Kwaadaardig software wordt dan in deze gebieden geplaatst en heeft zo een plaats verkregen in uw systeem.

Wat kan ik doen?
Het is belangrijk om dit gat zo snel mogelijk te dichten! Facebook, het bedrijf achter WhatsApp, heeft inmiddels een ‘patch’ uitgebracht. Het advies is daarom om zo snel mogelijk uw smartphone te updaten naar versie 2.19.51 of hoger voor iPhones en versie 2.19.134 of hoger voor Android.

Comments are closed.